Name:           gnome-search-provider-gopass
Version:        0.0.git.14.299d9e5b
Release:        1%{?dist}
Summary:        GNOME Search Provider for gopass secrets

License:        0BSD
URL:            https://codeberg.org/mkhl/%{name}
VCS:            git+https://codeberg.org/mkhl/gnome-search-provider-gopass.git#299d9e5b05acf3349b1d09e5ed3214fcf8c066dc:
Source:         gnome-search-provider-gopass-299d9e5b.tar.gz

BuildRequires:  systemd-rpm-macros
BuildRequires:  cargo
BuildRequires:  make
BuildRequires:  sed
Requires:       gnome-shell
Requires:       gopass
Requires:       systemd

%description

%define _debugsource_template %{nil}
%define qname org.codeberg.mkhl.search-provider.gopass

%prep
%setup -T -b 0 -q -n gnome-search-provider-gopass
cargo fetch --locked --target "%{_arch}-unknown-linux-gnu"

%build
export RUSTUP_TOOLCHAIN=stable
export CARGO_TARGET_DIR=target
cargo build --frozen --release --all-features
make CARGO=true PREFIX="%{_prefix}" LIBEXECDIR="%{_libexecdir}" USERUNITDIR="%{_userunitdir}"

%install
make CARGO=true DESTDIR="%{buildroot}" PREFIX="%{_prefix}" LIBEXECDIR="%{_libexecdir}" USERUNITDIR="%{_userunitdir}" install

%if %{with check}
%check
cargo test --frozen --all-features
%endif

%files
%license LICENSE
%doc README.md
%{_libexecdir}/%{name}
%{_userunitdir}/%{qname}.service
%{_datadir}/applications/%{qname}.desktop
%{_datadir}/icons/%{qname}.png
%{_datadir}/dbus-1/services/%{qname}.service
%{_datadir}/gnome-shell/search-providers/%{qname}.ini

%changelog
* Tue Oct 18 2022 Martin Kühl <martin.kuehl@posteo.net> - 0.1.1-1
- Initial package
